import { ComputedRef } from 'vue';
interface ProviderContext {
    maskStatus: ComputedRef<Record<string, boolean>>;
    setStatusByKey(key: string, status: boolean): void;
}
export declare function useDescriptionsProvider(config: ProviderContext): void;
export declare function useDescriptionsInject(): ProviderContext | undefined;
export {};
